> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all app bundles

GET https://api.contentful.com/organizations/{organization_id}/app_definitions/{app_definition_id}/app_bundles

Reference: https://contentful.com/developers/docs/references/content-management-api/app-bundles/get-all-app-bundles

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `organization_id` (string, required) — organization_id identifier
- `app_definition_id` (string, required) — app_definition_id identifier

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [
    {
      "comment": "",
      "files": [
        {
          "md5": "SI5ATlim1wZ4AOePWjwCwQ==",
          "name": "index.html",
          "size": "52323"
        }
      ],
      "sys": {
        "appDefinition": {
          "sys": {
            "id": "<app_definition_id>",
            "linkType": "AppDefinition",
            "type": "Link"
          }
        },
        "createdAt": "2025-08-07T20:19:03.000Z",
        "createdBy": {
          "sys": {
            "id": "7BslKh9TdKGOK41VmLDjFZ",
            "linkType": "User",
            "type": "Link"
          }
        },
        "id": "<app_bundle_id>",
        "organization": {
          "sys": {
            "id": "0D9ZC8rLWiw6x5qizZGiRs",
            "linkType": "Organization",
            "type": "Link"
          }
        },
        "type": "AppBundle",
        "updatedAt": "2025-08-07T20:19:03.000Z",
        "updatedBy": {
          "sys": {
            "id": "7BslKh9TdKGOK41VmLDjFZ",
            "linkType": "User",
            "type": "Link"
          }
        }
      }
    }
  ],
  "limit": 100,
  "skip": 0,
  "sys": {
    "type": "Array"
  },
  "total": 1
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getOrganization('<organization_id>')
  .then((organization) => organization.getAppDefinition('<app_definition_id>'))
  .then((definition) => definition.getAppBundles())
  .then((bundles) => console.log(bundles))
  .catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const appBundles = await client.appBundle.getMany({
  organizationId: '<organization_id>',
  appDefinitionId: '<app_definition_id>',
});
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```